/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target;

import org.eclipse.target.internal.SiteManager;

/**
 * Provides access to sites, etc.
 */
public class Target {

	public static final String SITE_EXPLORER_VIEW_ID = "org.eclipse.target.ui.SiteExplorerView"; //$NON-NLS-1$

	private static SiteManager manager;

	/**
	 * Return the site manager.
	 * @return the site manager
	 */
	public static synchronized ISiteManager getSiteManager() {
		if (manager == null) {
			manager = new SiteManager();
		}
		return manager;
	}

}
