/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.internal.ui.dnd;

import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.target.ITargetResource;
import org.eclipse.ui.IWorkbenchPart;

/**
 * This class provides drop support to a tree of <code>ITargetResource</code>
 */
public class TargetResourceTreeDropAdapter extends TargetResourceViewerDropAdapter {

	public TargetResourceTreeDropAdapter(IWorkbenchPart part, TreeViewer viewer) {
		super(part, viewer);
		setScrollExpandEnabled(false);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.target.internal.ui.dnd.TargetResourceViewerDropAdapter#refreshViewer(org.eclipse.target.ITargetResource, org.eclipse.target.ITargetResource[])
	 */
	protected void refreshViewer(ITargetResource target, ITargetResource[] toDrop) {
		TreeViewer viewer = (TreeViewer) getViewer();
		viewer.refresh(target);
	}

}
